package livecld.actions;

import org.eclipse.jdt.core.IType;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbenchSite;

public class ExtendAction extends Action {
	private IType extendType;

	private IWorkbenchSite site;

	public ExtendAction(IWorkbenchSite site, IType extendType) {
		this.extendType = extendType;
		this.site = site;

		setText("Extend");
	}

	@Override
	public void run() {
		NewClassWizard wizard = new NewClassWizard(extendType);
		WizardDialog dialog = new WizardDialog(site.getShell(), wizard);
		dialog.open();
	}

}
