package livecld.actions;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.eclipse.gef.EditPart;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.StructuredSelection;

public class GefActionUtil {
	public static IStructuredSelection convertToModelSelection(IStructuredSelection selection) {
		return new StructuredSelection(convertToModelList(selection));
	}
	
	public static List<Object> convertToModelList(IStructuredSelection selection) {
		ArrayList<Object> modelSelection = new ArrayList<Object>(selection.size());
		
		Iterator i = selection.iterator();
		while (i.hasNext()) {
			Object object = i.next();
			
			if (object instanceof EditPart) {
				EditPart part = (EditPart) object;
				modelSelection.add(part.getModel());
			
			}
		}
		
		return modelSelection;
	}
}
