package livecld.controller;

import livecld.actions.OpenElementAction;

import org.eclipse.gef.Request;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;
import org.eclipse.jdt.core.IJavaElement;

public abstract class JavaElementEditPart extends AbstractGraphicalEditPart {

	
	@Override
	protected void createEditPolicies() {
//		installEditPolicy(EditPolicy.SELECTION_FEEDBACK_ROLE, new JavaElementSelectionEditPolicy());
	}
	
	public IJavaElement getCastedModel() {
		return (IJavaElement) getModel();
		//element must implement ISourceManipulation (ICompilationUnit, IMember, etc.) 
	}
	
	
	@Override
	public void performRequest(Request req) {
		if (req.getType() == REQ_OPEN) {
			new OpenElementAction(getCastedModel()).run();
		}
	}
	
}
