package livecld.model;

import org.eclipse.jdt.core.IType;

public class GeneralizationConnectionModel extends AbstractModel {
	/** Connection's source endpoint. */
	private IType source;
	/** Connection's target endpoint. */
	private IType target;
	
	public GeneralizationConnectionModel(IType source, IType target) {
		this.source = source;
		this.target = target;
	}
	

	/**
	 * Returns the source endpoint of this connection.
	 */
	public IType getSource() {
		return source;
	}

	/**
	 * Returns the target endpoint of this connection.
	 */
	public IType getTarget() {
		return target;
	}
	
}
