package livecld.view;

import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.FlowLayout;
import org.eclipse.draw2d.FreeformLayer;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.MarginBorder;
import org.eclipse.draw2d.ToolbarLayout;

public class DiagrammRootFigure extends FreeformLayer {
	private IFigure contentPane = new Figure();
	
	public DiagrammRootFigure() {
		setLayoutManager(new ToolbarLayout());
		setBorder(new MarginBorder(3));
		
		
		FlowLayout layout = new FlowLayout(FlowLayout.HORIZONTAL);
		layout.setMajorAlignment(FlowLayout.ALIGN_CENTER);
		layout.setMajorSpacing(50);
		contentPane.setLayoutManager(layout);
		
		add(contentPane);

//		setBorder(new CompoundBorder(new FrameBorder(getClass().getSimpleName()), new MarginBorder(5)));
	}
	
	public IFigure getContentPane() {
		return contentPane;
	};
	
}
