package livecld.controller;

import java.util.List;

import livecld.view.HierarchyCompartmentFigure;

import org.eclipse.draw2d.IFigure;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;


public class HierarchyCompartmentEditPart extends AbstractGraphicalEditPart {
	private List modelChildren;
	
	@Override
	protected IFigure createFigure() {
		return new HierarchyCompartmentFigure();
	}
	
	public void setCompartmentModelChildren(List modelChildren) {
		this.modelChildren = modelChildren;
	}
	
	@Override
	protected List getModelChildren() {
		return modelChildren;
	}
	
	@Override
	public IFigure getContentPane() {
		return ((HierarchyCompartmentFigure)getFigure()).getContentPane();
	}

	@Override
	protected void createEditPolicies() {
		
	}

}
