package livecld.controller;

import livecld.IconProvider;
import livecld.TextProvider;
import livecld.view.MemberFigure;

import org.eclipse.draw2d.IFigure;
import org.eclipse.jdt.core.ElementChangedEvent;
import org.eclipse.jdt.core.IElementChangedListener;
import org.eclipse.jdt.core.IMethod;


public class MethodEditPart extends JavaElementEditPart implements IElementChangedListener {
	
	@Override
	protected IFigure createFigure() {
		MemberFigure f = new MemberFigure();
		return f;
	}	
	
	public IMethod getCastedModel() {
		return (IMethod)getModel();
	}
	
	@Override
	protected void refreshVisuals() {
		MemberFigure f = (MemberFigure) getFigure();
		IMethod model = getCastedModel();
		f.setText(TextProvider.getInstance().getText(model));
		f.setIcon(IconProvider.getInstance().getIcon(model));
	}	
	
	
	@Override
	public void activate() {
		if (!isActive()) {
			super.activate();
//			JavaModelListener.getListener().addChangedListener(this, new JavaElementFilter(getCastedModel()));
		}
	}
	
	@Override
	public void deactivate() {
//		JavaModelListener.getListener().addChangedListener(this);
		super.deactivate();
	}
	
	
	public void elementChanged(ElementChangedEvent evt) {
//		IJavaElementDelta delta = evt.getDelta();
		
		//TODO debug
//		System.out.println("Method changed: " + delta);
		
//		if (delta.getKind() == IJavaElementDelta.CHANGED) {
//			if ((delta.getFlags() & (IJavaElementDelta.F_CONTENT | IJavaElementDelta.F_MODIFIERS)) != 0) {
//				new EditPartRefreshJob(this).schedule();
//			}
//		}
	}
	
}
