package livecld.javamodel.filter;

import org.eclipse.jdt.core.IJavaElement;

public class JavaElementTypeFilter implements JavaModelFilter {
	private Class<? extends IJavaElement> type;
	
	public JavaElementTypeFilter(Class<? extends IJavaElement> type) {
		this.type = type;
	}
	
	
	public boolean accept(IJavaElement element) {
		return type.isInstance(element);
	}

}
