package livecld.policies;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.gef.editpolicies.SelectionEditPolicy;
import org.eclipse.swt.graphics.Color;

public class JavaElementSelectionEditPolicy extends SelectionEditPolicy {

	private Color selectionForeground = new Color(null, 51, 102, 255);

	
	@Override
	protected void hideSelection() {
		getHostFigure().setForegroundColor(ColorConstants.black);
		
		getHostFigure().repaint();
	}

	@Override
	protected void showSelection() {
		getHostFigure().setForegroundColor(selectionForeground);
		
		getHostFigure().repaint();
	}

}
