package livecld.view;
import org.eclipse.draw2d.ChopboxAnchor;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

public class BottomBorderAnchor extends ChopboxAnchor {

	public BottomBorderAnchor(IFigure f) {
		super(f);
	}
	
	@Override
	public Point getLocation(Point reference) {
		Point p = super.getLocation(reference);
		
		Rectangle box = getBox().getCopy();
		getOwner().translateToAbsolute(box);
		
		p.y = box.getBottom().y;
		return p;
	}

}
