package livecld.view;

import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.FlowLayout;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.Layer;
import org.eclipse.draw2d.MarginBorder;
import org.eclipse.draw2d.ToolbarLayout;

public class HierarchyCompartmentFigure extends Layer {
	
	private IFigure contentPane = new Figure();
	
	public HierarchyCompartmentFigure() {
		setLayoutManager(new ToolbarLayout());
		
		FlowLayout layout = new FlowLayout(FlowLayout.HORIZONTAL);
		layout.setMajorAlignment(FlowLayout.ALIGN_CENTER);
		layout.setMajorSpacing(50);
		contentPane.setLayoutManager(layout);
		
		add(contentPane);
		
		setBorder(new MarginBorder(30,5,0,5));
		setOpaque(false);
		
//		setBorder(new CompoundBorder(new FrameBorder(getClass().getSimpleName()), new MarginBorder(5)));
	}
	
	
	public IFigure getContentPane() {
		return contentPane;
	};
	
}
