package livecld.view;

import org.eclipse.draw2d.AbstractConnectionAnchor;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

public class TopCenterAnchor extends AbstractConnectionAnchor {

	public TopCenterAnchor(IFigure f) {
		super(f);
	}
	
	
	public Point getLocation(Point reference) {
		Rectangle r = getOwner().getBounds().getCopy();
		getOwner().translateToAbsolute(r);
		
		return r.getTop();
	}

}
